#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ELobbyFilterType {
    String = 0,
    Numerical = 1,
    SlotsAvailable = 2,
    NearValue = 3,
    Distance = 4,
}

impl ELobbyFilterType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::String as i32 => Some(Self::String),
            x if x == Self::Numerical as i32 => Some(Self::Numerical),
            x if x == Self::SlotsAvailable as i32 => Some(Self::SlotsAvailable),
            x if x == Self::NearValue as i32 => Some(Self::NearValue),
            x if x == Self::Distance as i32 => Some(Self::Distance),
            _ => None,
        }
    }
}
